# Get Cookie Inventory trends relative to specified audit run

GET /v3/web-audits/{auditId}/runs/{runId}/reports/cookie-inventory/trends

Endpoint: GET /v3/web-audits/{auditId}/runs/{runId}/reports/cookie-inventory/trends
Security: API_Key

## Path parameters:

  - `auditId` (integer, required)
    Unique identification number for web audit
    Example: 107239

  - `runId` (integer, required)
    Unique identification number for web audit or journey run
    Example: 33010

## Response 200 fields (application/json):

  - `runs` (array, required)

  - `runs.runId` (integer, required)
    Example: 33010

  - `runs.completedAt` (string, required)
    Date-time in [RFC3339 profile ISO 8601 format](https://www.ietf.org/rfc/rfc3339.txt) with
the following additional restrictions:
1. An uppercase T must separate the date and time portions.
2. An uppercase Z must denote that a numeric time zone offset isn't present.

In general, these timestamp requirements are the same in
[AWS Step Functions - Choice Rules](https://docs.aws.amazon.com/step-functions/latest/dg/amazon-states-language-choice-state.html)
    Example: "2016-08-18T17:33:00Z"

  - `runs.totalUniqueCookieCount` (integer, required)

  - `runs.totalFirstPartyCookieCount` (integer, required)

  - `runs.totalThirdPartyCookieCount` (integer, required)

  - `runs.totalNonSecureCookieCount` (integer, required)

  - `runs.totalSameSiteEmptyCookieCount` (integer, required)

## Response 401 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 404 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)


